findAmplif.func {aCGH} | R Documentation

## Function to determine high level amplifications

### Description

This function identifies high level amplifications by considering the height, the width of an amplicon relative to the urrounding clones. Only narrow peaks much higher than its neigbors are considered as high level amplifications.

### Usage

    findAmplif.func(absValSingle = 1, absValRegion = 1.5, diffVal1 = 1,
    diffVal2 = 0.5, maxSize = 10000, translen.matr = res3$translen.matrix,
    trans.matr = res3$trans.matr, aber = res2$aber, outliers = res1$outlier,
    pred = res1$pred.out, pred.obs = res1$pred.obs.out, statesres =
    states.bic)

### Arguments

`absValSingle` | A clone is declared to be an amplification if it is a focal aberration or an outlier and its value exceeds absValSingle
`absValRegion` | A clone is an amplification if if a clone belong to a region with width less than maxSize and observed value for a clones is greater than absValRegion
`diffVal1` | Clone is an amplification if it is an aberration and greater by diffVal1 than max of the two surrounding stretches
`diffVal2` | Clone is an amplification if it is an outlier, its observed values is greater by diffVal2 than max of the two surrounding stretches
`maxSize` | The clones may not be declared as amplifications if they belong to the states with spanning more than maxSize
`translen.matr` | State length matrix. The output of the `findTrans.func`
`trans.matr` | Transition matrix. The output of the `findTrans.func`
`aber` | Aberration matrix. The output of the `findAber.func`
`outliers` | Outliers matrix. The output of the `findOutliers.func`
`pred` | Predicted values matrix. The output of the `findOutliers.func`
`pred.obs` | Predicted values matrix with observed values assigned to the outliers. The output of the `findOutliers.func`
`statesres` | The states output of the `hmm.run.func`

### Details

Note that all the distances are in Megabases and all the heights are on log2ratio scale.

### Value

`amplif.matrix` | Binary matrix with a row for each clone and column for each sample. "1" indicates amplification

...

### Author(s)

Jane Fridlyand

### References

Application of Hidden Markov Models to the analysis of the array CGH data, Fridlyand et.al., JMVA, 2004

### See Also

`aCGH`

[Package aCGH version 1.8.0 Index]